package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectManagementEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractProjectManagementEntryInfo()
    {
        this("id");
    }
    protected AbstractProjectManagementEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementInfo getParent()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.hr.project.ProjectManagementInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:分录's 项目打卡位置property 
     */
    public String getClockLocation()
    {
        return getString("clockLocation");
    }
    public void setClockLocation(String item)
    {
        setString("clockLocation", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("44CE7F57");
    }
}